Bug 36828 - Calc DIF export acts weird and saves wrong sheet
Summary: Calc DIF export acts weird and saves wrong sheet
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Save
  Show dependency treegraph
 
Reported: 2011-05-04 02:41 UTC by Mark Smulders
Modified: 2020-10-09 04:17 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Smulders 2011-05-04 02:41:07 UTC
Steps to reproduce

1. Open/Create an ODS document containing multiple sheets with content
2. Select a sheet other than the first sheet
3. Choose File > Save As 
4. Choose export format : DIF

A prompt will give the warning :
  "Warning saving the document xxxx
   Only the active sheet was saved"

Calc now shows the current document title as the new DIF file (even under File > Properties), however still all sheets and data are visible as were it still the ODS document. This looks like a bug to me ?!

5. Close all documents
6. Open the newly saved DIF file

Instead of the sheet data of the active sheet when we saved the DIF, the document will contain the data of the FIRST sheet of the original ODS document.

System info : LibreOffice Calc 3.3 on Ubuntu 11.04 x86_64
Will provide more details/information/tests if needed.
Cheers.
Comment 1 Björn Michaelsen 2011-12-23 12:03:13 UTC Comment hidden (obsolete)
Comment 2 Mark Smulders 2012-01-02 23:21:14 UTC
Bug confirmed: still exists in 3.5.0 beta2

During DIF export :
- Calc saves the FIRST sheet, instead of the ACTIVE sheet.
- After saving, the document is said to be a DIF doc, but all sheets remain visible (design choice?!)
Comment 3 A (Andy) 2014-03-08 21:40:38 UTC
reproducible with LO 4.2.1.1 (Win 8.1)
Comment 4 Joel Madero 2015-05-02 15:42:01 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2016-09-20 09:37:50 UTC Comment hidden (obsolete)
Comment 6 Zineta 2017-08-23 13:31:22 UTC
Still exists in: LO 4.4.6.3; 
LO 5.2.7.2:
OS:Win7.

In Version: 6.0.0.0.alpha0+
Build ID: 88179e3de8865ea07d5017ca0723afd10ad44ba7
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-08-06_23:49:25

 exists but without warning message that only active sheet would be saved.

Because selected file type (DIF) does not support workbooks that contains multiple sheets it is supposed that data in active sheet should be saved.
But only data in first sheet are saved.
Comment 7 QA Administrators 2018-10-09 02:52:28 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2020-10-09 04:17:16 UTC
Dear Mark Smulders,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug